View Issue Details

IDProjectCategoryView StatusLast Update
0002053FreeCADFeaturepublic2015-09-13 16:33
Reporterwmayer Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.16 
Summary0002053: Support of themes
DescriptionThere should be a way to switch to another theme at runtime with a different iconset.
TagsNo tags attached.
FreeCAD Information

Activities

wmayer

2015-04-14 10:39

administrator   ~0006022

In Gui::Application::initApplication or Gui::Application::runApplication the icon search paths must be set up. This has to be done with "QDir::setSearchPaths("icons", pathList);"

See also:
http://standards.freedesktop.org/icon-theme-spec/icon-theme-spec-latest.html
http://www.freedesktop.org/wiki/Specifications/icon-theme-spec/
http://lists.freedesktop.org/archives/xdg/

triplus

2015-05-21 22:38

developer   ~0006153

Last edited: 2015-05-21 22:38

View 2 revisions

Some reference:

http://forum.freecadweb.org/viewtopic.php?f=22&t=9056&p=88833#p88826

wmayer

2015-05-30 12:17

administrator   ~0006167

See also:
http://doc.qt.io/qt-4.8/qicon.html#fromTheme

Therefore the API in FreeCAD should be changed from QPixmap to QIcon wherever possible.

pfirszt

2015-06-25 22:37

developer   ~0006230

I did a test in FEM material list - works fine.
Branch: https://github.com/PrzemoF/FreeCAD_sf_master/tree/fem_icon_theme_v1

commit: https://github.com/PrzemoF/FreeCAD_sf_master/commit/96d3f6f96605df9931588d43bc19c11e6514644d

I use linux/gnome and my system shows those pathes for icons (FreeCAD python console session":
>>> from PySide import QtGui
>>> for path in QtGui.QIcon.themeSearchPaths():
... print "%s/%s" % (path, QtGui.QIcon.themeName())
...
/home/przemo/.icons/Adwaita
/usr/local/share/icons/Adwaita
/usr/share/icons/Adwaita
:/icons/Adwaita

wmayer

2015-06-28 20:08

administrator   ~0006236

http://standards.freedesktop.org/icon-naming-spec/icon-naming-spec-latest.html#guidelines

wmayer

2015-09-13 16:33

administrator   ~0006412

As far as I can see this is fully implemented now.

Related Changesets

FreeCAD: master 0e91902e

2015-04-14 11:37:24

wmayer

Details Diff
+ move to Qt's built-in search system for icon resources Affected Issues
0002053
mod - src/Gui/BitmapFactory.cpp Diff File

FreeCAD: master cd0b3694

2015-06-28 23:30:42

wmayer

Details Diff
+ issue 0002053: Support of themes Affected Issues
0002053
mod - src/Gui/BitmapFactory.cpp Diff File
mod - src/Gui/BitmapFactory.h Diff File
mod - src/Gui/Command.cpp Diff File
mod - src/Gui/CommandDoc.cpp Diff File
mod - src/Gui/CommandStd.cpp Diff File
mod - src/Gui/CommandView.cpp Diff File

FreeCAD: master 48c25da1

2015-06-29 14:33:14

wmayer

Details Diff
+ issue 0002053: Support of themes Affected Issues
0002053
mod - src/Gui/Application.cpp Diff File
add - src/Gui/Icons/index.theme Diff File
mod - src/Gui/Icons/resource.qrc Diff File

FreeCAD: master de7c8fcb

2015-06-30 13:14:56

wmayer

Details Diff
+ issue 0002053: Support of themes Affected Issues
0002053
mod - src/Gui/CommandDoc.cpp Diff File
mod - src/Gui/CommandMacro.cpp Diff File
mod - src/Gui/CommandStd.cpp Diff File
mod - src/Gui/CommandView.cpp Diff File
mod - src/Gui/DlgActionsImp.cpp Diff File
add - src/Gui/Icons/accessories-calculator.svg Diff File
add - src/Gui/Icons/document-print-preview.svg Diff File
mod - src/Gui/Icons/resource.qrc Diff File
mod - src/Gui/SelectionView.cpp Diff File
mod - src/Gui/TaskPanelView.cpp Diff File
mod - src/Gui/TaskView/TaskSelectLinkProperty.cpp Diff File
mod - src/Mod/Spreadsheet/Gui/Resources/icons/SpreadsheetStyleBold.svg Diff File
mod - src/Mod/Spreadsheet/Gui/Resources/icons/SpreadsheetStyleItalic.svg Diff File
mod - src/Mod/Spreadsheet/Gui/Resources/icons/SpreadsheetStyleUnderline.svg Diff File

FreeCAD: master f7644fc9

2015-07-12 17:54:56

wmayer

Details Diff
+ issue 0002053: Support of themes Affected Issues
0002053
mod - src/Gui/ApplicationPy.cpp Diff File
mod - src/Gui/DlgMacroExecuteImp.cpp Diff File
mod - src/Gui/Icons/index.theme Diff File
mod - src/Gui/Icons/resource.qrc Diff File
mod - src/Gui/MainWindow.cpp Diff File
mod - src/Gui/PythonDebugger.cpp Diff File
mod - src/Gui/PythonEditor.cpp Diff File
mod - src/Gui/ReportView.cpp Diff File
mod - src/Gui/SelectionView.cpp Diff File

FreeCAD: master a5619f3b

2015-07-12 18:12:05

wmayer

Details Diff
+ issue 0002053: Support of themes Affected Issues
0002053
mod - src/Gui/Application.cpp Diff File

FreeCAD: master a3697916

2015-07-12 18:59:26

wmayer

Details Diff
+ issue 0002053: Support of themes Affected Issues
0002053
mod - src/Gui/DlgCommandsImp.cpp Diff File
mod - src/Gui/DlgKeyboardImp.cpp Diff File
mod - src/Gui/DlgToolbarsImp.cpp Diff File

Issue History

Date Modified Username Field Change
2015-04-13 11:15 wmayer New Issue
2015-04-14 09:46 wmayer Changeset attached => FreeCAD Master master 0e91902e
2015-04-14 10:39 wmayer Note Added: 0006022
2015-05-21 22:38 triplus Note Added: 0006153
2015-05-21 22:38 triplus Note Edited: 0006153 View Revisions
2015-05-30 12:17 wmayer Note Added: 0006167
2015-06-25 22:37 pfirszt Note Added: 0006230
2015-06-28 20:08 wmayer Note Added: 0006236
2015-06-28 21:40 wmayer Changeset attached => FreeCAD Master master cd0b3694
2015-06-29 12:40 wmayer Changeset attached => FreeCAD Master master 48c25da1
2015-06-30 11:20 wmayer Changeset attached => FreeCAD Master master de7c8fcb
2015-07-19 15:18 yorik Changeset attached => FreeCAD Master master a3697916
2015-07-19 15:19 yorik Changeset attached => FreeCAD Master master a5619f3b
2015-07-19 15:19 yorik Changeset attached => FreeCAD Master master f7644fc9
2015-09-13 16:33 wmayer Note Added: 0006412
2015-09-13 16:33 wmayer Status new => closed
2015-09-13 16:33 wmayer Assigned To => wmayer
2015-09-13 16:33 wmayer Resolution open => fixed
2015-09-13 16:33 wmayer Fixed in Version => 0.16